<?php
/**
 *
 * @category        snippets
 * @package         minified
 * @author          Ruud Eisinga - Dev4me
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 7.2 and higher
 * @version         1.7.3
 * @lastmodified    March 15, 2024
 *
 */

$module_directory = 'minified';
$module_name = 'Minified css &amp; js';
$module_function = 'snippet';
$module_version = '1.7.3';
$module_platform = '2.8.x';
$module_author = 'Ruud Eisinga - dev4me.com';
$module_license = 'GNU General Public License';
$module_description = 'This snippet creates minified css and js.';

/* version history

v1.0 
- initial release

v1.1 
- fixed windows paths in _minify_filename (thanks crnogorac081)
- create unique filenames for minified.css/.js to prevent updated files being cached
- when logged-in, every pageload is checking changed files and will rewrite changes. No need for CTRL-F5 anymore

v1.2 
- fixed loading css/js using window paths (thanks dbs)

v1.3
- fixed storing filenames for older WB versions and WBCE

v1.4 
- allow multiple templates using minify

v1.5
- updated minify libraries (https://github.com/matthiasmullie/minify) to current version

v1.6
- updated minify libraries (https://github.com/matthiasmullie/minify) to current version (1.3.66)

v1.7
- updated minify libraries (https://github.com/matthiasmullie/minify) to current version (1.3.70)

v1.7.1
- fixed a bug (introduced in 1.7) where frontend.css/js are not added anymore

v1.7.2
- updated minify libraries (https://github.com/matthiasmullie/minify) to current version (1.3.72)

v1.7.3
- updated minify libraries (https://github.com/matthiasmullie/minify) to current version (1.3.73)


*/